#ifndef H_COBJECT
#define H_COBJECT
#include "cCollRect.h"
class cGame;

enum OBJTYPE { EMPTY, ALL, PLAYER, BRICK, HOLE, ZOMBIEGHOST, BRAIN, SIGN, DOOR, HEART };

class cObject
{
protected:
	double x, y;
	double hspeed, vspeed;
	double depth;
	cCollRect collide;
	OBJTYPE objectType;
	cGame *game;
	bool destroyed;
public:
	cObject();
	cObject(cGame *g);
	virtual void Update();
	virtual void Draw();
	double GetDepth();
	cCollRect *GetCollide();
	OBJTYPE GetType();
	cObject *GetObjectAt(double xx, double yy, OBJTYPE type);
	bool IsObjectAt(double xx, double yy, OBJTYPE type);
	double GetX();
	double GetY();
	void Destroy();
	bool IsDestroyed();
};
#endif